### Function

# RB SourceSearch add_to_menu

#### Declaration [src]

    void
    rb_source_search_add_to_menu (
      GMenu* menu,
      const char* action_namespace,
      GAction* action,
      const char* name
    )

#### Description [src]

Adds a registered search instance to a search menu.

#### Parameters

`menu`

  Type: `GMenu`

  `GMenu` instance to populate.

  The data is owned by the caller of the function.

`action_namespace`

  Type: `const char*`

  Muxer namespace for the action (“app” or “win”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`action`

  Type: `GAction`

  Search action to attach the menu item to.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  Name of the search instance to add.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.